# SourcePath: usbutils/20170310dev
Summary: Linux USB utilities.
Name: sony-target-dev-usbutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-usbutils
Version: 007
Release: 08020501
Source:  http://usb.cs.tum.edu/download/usbutils-%{version}.tar.gz
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix          : %{sony_target_dir}

%description 
This package contains utilities for inspecting devices connected to a
USB bus.

%package -n %{pkgname}
Summary: Linux USB utilities.
Group: %{sony_group}
AutoReqProv: no


%description -n %{pkgname}
This package contains utilities for inspecting devices connected to a
USB bus.


%prep
%setup -n usbutils-%{version}

%build
%sony_target_dev_setup
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{sony_target_dir}%{sony_target_dev_lib_dir}
%sony_target_dev_configure LIBUSB_CFLAGS="-I%{sony_target_devtool_include_dir}/libusb-1.0" LIBUSB_LIBS="-L/usr/lib/ -lusb-1.0" 
make CFLAGS="-I%{sony_target_dir}%{sony_target_dev_include_dir}/libusb-1.0"

%install
rm -rf %{buildroot}
%sony_target_dev_makeinstall

#mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

#for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
#    case $l in
#        *.a)
#          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
#          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
#             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
#          ;;
#    esac
#done

#for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
#    if [ "$l" != "pkgconfig" ]; then
#        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
#            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
#    fi
#done

%demangle_libtool

rm -rf %{buildroot}%{sony_target_dir}/usr/man
rm -rf %{buildroot}%{sony_target_dir}/usr/share/man


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}/*

%clean
rm -rf %{buildroot}

%changelog
* Mon Jun 19 2017 Sony Corporation
- Initial Build.
